# Uses of Interface
org.eclipse.birt.chart.model.data.Rule

Packages that use Rule
Package
Description
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of Rule in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return Rule
Modifier and Type
Method
Description
`Rule`
Rule.`copyInstance()`
Deprecated.
`Rule`
DataFactory.`createRule()`
Deprecated.
only reserved for compatibility
Methods in org.eclipse.birt.chart.model.data that return types with arguments of type Rule
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Rule>`
Query.`getRules()`
Deprecated.
only reserved for compatibility

## Uses of Rule in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement Rule
Modifier and Type
Class
Description
`class`
`RuleImpl`
Deprecated.
only reserved for compatibility
Methods in org.eclipse.birt.chart.model.data.impl that return Rule
Modifier and Type
Method
Description
`Rule`
RuleImpl.`copyInstance()`
Deprecated.
`static final Rule`
RuleImpl.`create(RuleType rt, String sValue)`
Deprecated.
A convenience method provided to create a new initialized rule instance
`Rule`
DataFactoryImpl.`createRule()`
Methods in org.eclipse.birt.chart.model.data.impl that return types with arguments of type Rule
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Rule>`
QueryImpl.`getRules()`